/*
 * Copyright 2012 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.espritmobile.sim.restocheck.fragments;

import com.espritmobile.sim.restocheck.R;

import android.app.Fragment;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;

public class FirstUsePageFragmentMini extends Fragment {
    
    public static final String ARG_PAGE = "page";

   
    private int mPageNumber;
    
    ImageView mImageView;
    
    
    public static FirstUsePageFragmentMini create(int pageNumber) {
        FirstUsePageFragmentMini fragment = new FirstUsePageFragmentMini();
        Bundle args = new Bundle();
        args.putInt(ARG_PAGE, pageNumber);
        fragment.setArguments(args);
        return fragment;
    }

    public FirstUsePageFragmentMini() {
    }
    
   
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        mPageNumber = getArguments().getInt(ARG_PAGE);
        
    }

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
            Bundle savedInstanceState) {
        // Inflate the layout containing a title and body text.
        ViewGroup rootView = (ViewGroup) inflater
                .inflate(R.layout.fragment_first_use_page2, container, false);

        // Set the title view to show the page number.
        mImageView = (ImageView) rootView.findViewById(R.id.mobileFond);
        
        
        switch (mPageNumber) {
		case 0:
			
			mImageView.setImageResource(R.drawable.test);
			break;
		case 1:
			mImageView.setImageResource(R.drawable.test);
			break;
		case 2:
			mImageView.setImageResource(R.drawable.test);
			break;
		}
        
        
        return rootView;
    }

    /**
     * Returns the page number represented by this fragment object.
     */
    public int getPageNumber() {
        return mPageNumber;
    }
}
